# Copyright (c) 2018 Dave Love, University of Manchester
# MIT licence (Fedora policy)

%global commit 9ad05271ba13e5e3155a7c92df771070fb03a454
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           synapse
Version:        2.0.1
Release:        1%{?dist}
Summary:        Framework to facilitate the development of MRNet applications
License:        LGPLv2
URL:            https://github.com/bsc-performance-tools/synapse
Source0:        https://github.com/bsc-performance-tools/synapse/archive/%version/%name-%version.tar.gz
# Hack out the failing config for mrnet
Patch1:         synapse-mrnet.patch
# Fix missing DESTDIR
Patch2:         synapse-inst.patch
# Remove rpath from synapse-config
Patch3:         synapse-rpath.patch
BuildRequires:  mrnet-devel boost%{?el6:148}-devel automake libtool gcc-c++
BuildRequires:  chrpath


%description
Synapse is a framework to facilitate the development of MRNet applications.

%package devel
Summary:        Development files for %name
Requires:       %name%{?_isa} = %version-%release

%description devel
Development files for %name.


%prep
%setup -q
%patch1 -p1 -b .orig
%patch2 -p1 -b .orig
%patch3 -p1 -b .orig


%build
./bootstrap
sed -i -e 's/libmrnet\.a/libmrnet.so/' -e 's/libxplat\.a/libxplat.so/' configure
%configure --with-mrnet='%_includedir/mrnet %_libdir' --docdir=%_pkgdocdir
%make_build


%install
%make_install
mkdir -p %buildroot%_includedir/%name
mv  %buildroot%_includedir/*.h  %buildroot%_includedir/%name
rm -r %buildroot%_prefix/etc
chrpath -d %buildroot%_libdir/*.so


%ldconfig_scriptlets


%check
make check


%files
%license COPYING
%exclude %_libdir/*a
%_libdir/*.so.*

%files devel
%_pkgdocdir
%_includedir/%name
%_libdir/*.so
%_bindir/synapse-config


%changelog
* Fri Nov 9 2018 Dave Love <loveshack@fedoraproject.org> - 2.0.1-1
- New version

* Sat Apr 28 2018  <loveshack@fedoraproject.org> - 0-1.git9ad0527
- Initial packaging
